CREATE TABLE IF NOT EXISTS `#__award_manager_nominee` (

	`id` INT(11) NOT NULL AUTO_INCREMENT,

	`asset_id` INT(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',

	`agentadd` VARCHAR(255) NOT NULL DEFAULT '',

	`agentemail` VARCHAR(255) NOT NULL DEFAULT '',

	`agentname` VARCHAR(255) NOT NULL DEFAULT '',

	`agentphone` VARCHAR(64) NOT NULL DEFAULT '',

	`agentweb` VARCHAR(255) NOT NULL DEFAULT '',

	`airdate` DATE NOT NULL DEFAULT '0000-00-00',

	`awds` INT NOT NULL DEFAULT 0,

	`callsheet` VARCHAR(255) NOT NULL DEFAULT '',

	`character` VARCHAR(64) NOT NULL DEFAULT '',

	`cityst` VARCHAR(255) NOT NULL DEFAULT '',

	`cntry` VARCHAR(255) NOT NULL DEFAULT '',

	`dateofbirth` DATE NOT NULL DEFAULT '0000-00-00',

	`distribco` VARCHAR(255) NOT NULL DEFAULT '',

	`firstname` VARCHAR(64) NOT NULL DEFAULT '',

	`headshot_image` TEXT NOT NULL,

	`imdbinfo` VARCHAR(255) NOT NULL DEFAULT '',

	`info` TEXT NOT NULL,

	`lastname` VARCHAR(64) NOT NULL DEFAULT '',

	`lifestyle_image` TEXT NOT NULL,

	`meminfo` VARCHAR(64) NOT NULL DEFAULT '',

	`mpthree` VARCHAR(255) NOT NULL DEFAULT '',

	`noms` INT NOT NULL DEFAULT 0,

	`parent` VARCHAR(255) NOT NULL DEFAULT '',

	`parentemail` VARCHAR(255) NOT NULL DEFAULT '',

	`projage` INT NOT NULL DEFAULT 0,

	`projlink` VARCHAR(255) NOT NULL DEFAULT '',

	`roletype` VARCHAR(64) NOT NULL DEFAULT '',

	`script` VARCHAR(255) NOT NULL DEFAULT '',

	`socmed` TEXT NOT NULL,

	`telnumber` VARCHAR(50) NOT NULL DEFAULT '',

	`title` VARCHAR(255) NOT NULL DEFAULT '',

	`type` VARCHAR(64) NOT NULL DEFAULT '',

	`videoinfo` VARCHAR(255) NOT NULL DEFAULT '',

	`ytvimlink` VARCHAR(255) NOT NULL DEFAULT '',

	`params` text NOT NULL,

	`published` TINYINT(3) NOT NULL DEFAULT 1,

	`winner` TINYINT(3) NOT NULL DEFAULT 0,

	`created_by` INT(10) unsigned NOT NULL DEFAULT 0,

	`modified_by` INT(10) unsigned NOT NULL DEFAULT 0,

	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',

	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',

	`publish_up` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',

	`publish_down` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',

	`checked_out` int(11) unsigned NOT NULL DEFAULT 0,

	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',

	`version` INT(10) unsigned NOT NULL DEFAULT 1,

	`hits` INT(10) unsigned NOT NULL DEFAULT 0,

	`access` INT(10) unsigned NOT NULL DEFAULT 0,

	`ordering` INT(11) NOT NULL DEFAULT 0,

	`catid` INT(11) NOT NULL DEFAULT 0,

	PRIMARY KEY  (`id`),

	KEY `idx_access` (`access`),

	KEY `idx_checkout` (`checked_out`),

	KEY `idx_createdby` (`created_by`),

	KEY `idx_modifiedby` (`modified_by`),

	KEY `idx_state` (`published`),

	KEY `idx_firstname` (`firstname`),

	KEY `idx_parentemail` (`parentemail`),

	KEY `idx_type` (`type`),

	KEY `idx_agentphone` (`agentphone`),

	KEY `idx_telnumber` (`telnumber`),

	KEY `idx_cntry` (`cntry`),

	KEY `idx_cityst` (`cityst`),

	KEY `idx_character` (`character`),

	KEY `idx_roletype` (`roletype`),

	KEY `idx_agentname` (`agentname`)

) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;



CREATE TABLE IF NOT EXISTS `#__award_manager_vote` (

	`id` INT(11) NOT NULL AUTO_INCREMENT,

	`user_id` INT(10) NOT NULL DEFAULT 0,

	`resource_id` INT(11) NOT NULL DEFAULT 0,

	`resource_type` VARCHAR(255) NOT NULL DEFAULT '',

	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',

	PRIMARY KEY  (`id`)

) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;



--

-- Always insure this column rules is large enough for all the access control values.

--

ALTER TABLE `#__assets` CHANGE `rules` `rules` MEDIUMTEXT NOT NULL COMMENT 'JSON encoded access control.';



--

-- Always insure this column name is large enough for long component and view names.

--

ALTER TABLE `#__assets` CHANGE `name` `name` VARCHAR(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'The unique name for the asset.';

