<?php

/*----------------------------------------------------------------------------------|  simontech.me  |----/

				Award Manager by SimonTech Development

/-------------------------------------------------------------------------------------------------------/



	@version		1.0.2

	@build			7th June, 2019

	@created		19th April, 2019

	@package		Award Manager

	@subpackage		Winners.php

	@author			SimonTech <https://simontech.me>

	@copyright		Copyright (C) 2019 SimonTech Development. All Rights Reserved

	@license		GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html

  ____  _____  _____  __  __  __      __       ___  _____  __  __  ____  _____  _  _  ____  _  _  ____

 (_  _)(  _  )(  _  )(  \/  )(  )    /__\     / __)(  _  )(  \/  )(  _ \(  _  )( \( )( ___)( \( )(_  _)

.-_)(   )(_)(  )(_)(  )    (  )(__  /(__)\   ( (__  )(_)(  )    (  )___/ )(_)(  )  (  )__)  )  (   )(

\____) (_____)(_____)(_/\/\_)(____)(__)(__)   \___)(_____)(_/\/\_)(__)  (_____)(_)\_)(____)(_)\_) (__)



/------------------------------------------------------------------------------------------------------*/



// No direct access to this file

defined('_JEXEC') or die('Restricted access');



/**

 * Award_manager Model for Winners

 */

class Award_managerModelWinners extends JModelList

{

	/**

	 * Model user data.

	 *

	 * @var        strings

	 */

	protected $user;

	protected $userId;

	protected $guest;

	protected $groups;

	protected $levels;

	protected $app;

	protected $input;

	protected $uikitComp;



	protected function populateState($ordering = null, $direction = null)

{

    // set limit

    //$this->setState('list.limit', $limit);

		$this->setState('list.limit', 0);

    // set start (eg. what record to begin pagination at)

    //$this->setState('list.start', $value);



		$win_year = $this->getUserStateFromRequest($this->context . '.filter.win_year', 'win_year');

		$this->setState('filter.win_year', $win_year);

}



	/**

	 * Method to build an SQL query to load the list data.

	 *

	 * @return      string  An SQL query

	 */

	protected function getListQuery()

	{

		// Get the current user for authorisation checks

		$this->user = JFactory::getUser();

		$this->userId = $this->user->get('id');

		$this->guest = $this->user->get('guest');

		$this->groups = $this->user->get('groups');

		$this->authorisedGroups = $this->user->getAuthorisedGroups();

		$this->levels = $this->user->getAuthorisedViewLevels();

		$this->app = JFactory::getApplication();

		$this->input = $this->app->input;

		$this->initSet = true;

		// Get a db connection.

		$db = JFactory::getDbo();



		// Create a new query object.

		$query = $db->getQuery(true);



		// Get the categories.

		/*

		$query->select($db->quoteName(

			array('c.id','c.title','c.path', 'c.lft'),

			array('id','category_title','category_path', 'ordering')));

			//->join('LEFT', $db->quoteName('#__categories', 'c') . ' ON c.id = a.catid');

		$query->from($db->quoteName('#__categories', 'c'));*/



		$query = $db->getQuery(true);

				//$query->select($db->quoteName(array('nom.catid','cat.path'),array('id','cat_name')));

				$query->select(['DISTINCT nom.catid as id', 'cat.path as category_path', 'par.id as parent_id', 'par.title as parent_title', 'cat.title as category_title']);

				//$query->select('COUNT(DISTINCT par.title) AS partitles');

				//$query->from($db->quoteName('#__categories', 'cat'));

				$query->from($db->quoteName('#__award_manager_nominee', 'nom'));

				//$query->where($db->quoteName('cat.extension').' = '.$db->quote('com_award_manager'));

				$query->where($db->quoteName('cat.published') . ' >= 1');

				$query->join('LEFT', $db->quoteName('#__categories', 'cat') . ' ON cat.id = nom.catid');

				$query->join('LEFT', $db->quoteName('#__categories', 'par') . ' ON par.id = cat.parent_id');

				//$query->join('LEFT', $db->quoteName('#__award_manager_nominee', 'nom') . ' ON nom.catid = cat.id');

				$query->order('cat.lft ASC');

				$query->setLimit('100');



		// Get from #__award_manager_nominee as a

/*

		$query->select($db->quoteName(

			array('n.id','n.firstname','n.lastname','n.published','n.created','n.modified','n.ordering', 'n.catid'),

			array('id','firstname','lastname','published','created','modified','ordering', 'catid')))

			->join('LEFT', $db->quoteName('#__award_manager_nominee', 'n') . ' ON c.id = n.catid');*/

		/*$query->from($db->quoteName('#__award_manager_nominee', 'a'));*/

		// Get where a.published is 1



		//$query->where('c.extension = '.$db->quote('com_award_manager'));

		//$query->order('c.lft ASC');



		// return the query object

		return $query;

	}



	/**

	 * Method to get an array of data items.

	 *

	 * @return  mixed  An array of data items on success, false on failure.

	 */

	public function getItems()

	{

		$user = JFactory::getUser();

		// check if this user has permission to access item

		if (!$user->authorise('site.nominees.access', 'com_award_manager'))

		{

			$app = JFactory::getApplication();

			$app->enqueueMessage(JText::_('COM_AWARD_MANAGER_NOT_AUTHORISED_TO_VIEW_WINNERS'), 'error');

			// redirect away to the home page if no access allowed.

			$app->redirect(JURI::root());

			return false;

		}

		// load parent items

		$items = parent::getItems();



		// Filter by Category.

		$win_year = $this->getState('filter.win_year');



		$this->parseWinners($items, $win_year);

		// Get the global params

		$globalParams = JComponentHelper::getParams('com_award_manager', true);



		// Get the basic encryption.

		$basickey = Award_managerHelper::getCryptKey('basic');

		// Get the encryption object.

		$basic = new FOFEncryptAes($basickey);



		// Insure all item fields are adapted where needed.

		if (Award_managerHelper::checkArray($items))

		{

			foreach ($items as $nr => &$item)

			{

				// Always create a slug for sef URL's

				$item->slug = (isset($item->alias) && isset($item->id)) ? $item->id.':'.$item->alias : $item->id;





			}

		}



		// return items

		return $items;

	}



	private function parseWinners($items, $win_year) {



		$model = Award_managerHelper::getModel('nominees', JPATH_ROOT.  '/components/com_award_manager', 'Award_manager');

		//$user = JFactory::getUser();

		//$cats = array();



		foreach ($items as $item) {

				$pcats[] = $item->parent_id;

				//$cats[] = $item->id;

		}



	$totals = $model->countCategories($pcats);

		//$winners = $model->findWinners($cats);



		foreach ($items as $item) {

				$item->winners = new stdClass();



				$item->catcount = isset($totals[$item->id]) ? $totals[$item->id]['categories'] : 0;

				//$item->winners = $winners[$item->id];

				$item->winners = $model->findWinners($item->id, $win_year);

				//$item->count = count($item->winners);

		}

	}



}

