<?php

/*----------------------------------------------------------------------------------|  simontech.me  |----/

				Award Manager by SimonTech Development

/-------------------------------------------------------------------------------------------------------/



	@version		1.0.7

	@build			8th June, 2019

	@created		19th April, 2019

	@package		Award Manager

	@subpackage		view.html.php

	@author			SimonTech <https://simontech.me>

	@copyright		Copyright (C) 2019 SimonTech Development. All Rights Reserved

	@license		GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html

  ____  _____  _____  __  __  __      __       ___  _____  __  __  ____  _____  _  _  ____  _  _  ____

 (_  _)(  _  )(  _  )(  \/  )(  )    /__\     / __)(  _  )(  \/  )(  _ \(  _  )( \( )( ___)( \( )(_  _)

.-_)(   )(_)(  )(_)(  )    (  )(__  /(__)\   ( (__  )(_)(  )    (  )___/ )(_)(  )  (  )__)  )  (   )(

\____) (_____)(_____)(_/\/\_)(____)(__)(__)   \___)(_____)(_/\/\_)(__)  (_____)(_)\_)(____)(_)\_) (__)



/------------------------------------------------------------------------------------------------------*/



// No direct access to this file

defined('_JEXEC') or die('Restricted access');



jimport( 'joomla.application.categories' );

/**

 * Award_manager View class for the Nominees

 */

class Award_managerViewNominees extends JViewLegacy

{

	// Overwriting JView display method

	function display($tpl = null)

	{

		// get combined params of both component and menu

		$this->app = JFactory::getApplication();

		$this->params = $this->app->getParams();

		// $this->params = $this->state->get('params');

		$this->menu = $this->app->getMenu()->getActive();



		if ($this->app->getMenu()->getActive()) {

			$this->menu = $this->app->getMenu()->getActive();

			$this->CatId = $this->menu->query['filter_category'];

		} else {

			$jinput = $this->app->input;

			$this->CatId = $jinput->get('filter_category');

		}

		// get the user object

		$this->user = JFactory::getUser();

		// Initialise variables.

		$this->items = $this->get('Items');

		$this->pagination = $this->get('Pagination');



		$this->filterForm = $this->get('FilterForm');

    $this->activeFilters = $this->get('ActiveFilters');

		$this->state = $this->get('State');



		$this->catName = $this->getCategoryPath($this->state->get('filter.category'));



		// What Access Permissions does this user have? What can (s)he do?

		$this->canDo = JHelperContent::getActions('com_award_manager');



		// Set the toolbar

		$this->addToolBar();



		// set the document

		$this->_prepareDocument();



		// Check for errors.

		if (count($errors = $this->get('Errors')))

		{

			throw new Exception(implode("\n", $errors), 500);

		}



		foreach ($this->items as $item)

		{

			//$this->votes .= $item->voted;



		}



		parent::display($tpl);

	}



	public function getCategoryPath($catid)

	{

		if ($catid != '0') {

			$category = JCategories::getInstance('Award_manager')->get($catid);

		//	$categoryname = str_replace(array('-', '/' ), array(' ', ' | '), $category->path);

			return str_replace(array('-', '/' ), array(' ', ' | '), $category->path);

		} else {

			return $catid;

		}



	}



	/**

	 * Prepares the document

	 */

	protected function _prepareDocument()

	{



		// always make sure jquery is loaded.

		JHtml::_('jquery.framework');

		// Load the header checker class.

		require_once( JPATH_COMPONENT_SITE.'/helpers/headercheck.php' );

		// Initialize the header checker.

		$HeaderCheck = new award_managerHeaderCheck;



		// Load uikit options.

		$uikit = $this->params->get('uikit_load');

		// Set script size.

		$size = $this->params->get('uikit_min');



		//JHtml::script('components/com_award_manager/assets/js/vote.js');

		// The uikit css.

		if ((!$HeaderCheck->css_loaded('uikit.min') || $uikit == 1) && $uikit != 2 && $uikit != 3)

		{

			$this->document->addStyleSheet(JURI::root(true) .'/media/com_award_manager/uikit-v3/css/uikit'.$size.'.css', (Award_managerHelper::jVersion()->isCompatible('3.8.0')) ? array('version' => 'auto') : 'text/css');

		}

		// The uikit js.

		if ((!$HeaderCheck->js_loaded('uikit.min') || $uikit == 1) && $uikit != 2 && $uikit != 3)

		{

			$this->document->addScript(JURI::root(true) .'/media/com_award_manager/uikit-v3/js/uikit'.$size.'.js', (Award_managerHelper::jVersion()->isCompatible('3.8.0')) ? array('version' => 'auto') : 'text/javascript');

		}

		// add the document default css file

		$this->document->addStyleSheet(JURI::root(true) .'/components/com_award_manager/assets/css/nominees.css', (Award_managerHelper::jVersion()->isCompatible('3.8.0')) ? array('version' => 'auto') : 'text/css');

	}



	/**

	 * Setting the toolbar

	 */

	protected function addToolBar()

	{

		// adding the joomla toolbar to the front

		JLoader::register('JToolbarHelper', JPATH_ADMINISTRATOR.'/includes/toolbar.php');



		// set help url for this view if found

		$help_url = Award_managerHelper::getHelpUrl('nominees');

		if (Award_managerHelper::checkString($help_url))

		{

			JToolbarHelper::help('COM_AWARD_MANAGER_HELP_MANAGER', false, $help_url);

		}

		// now initiate the toolbar

		$this->toolbar = JToolbar::getInstance();

	}



	/**

	 * Escapes a value for output in a view script.

	 *

	 * @param   mixed  $var  The output to escape.

	 *

	 * @return  mixed  The escaped value.

	 */

	public function escape($var, $sorten = false, $length = 40)

	{

		// use the helper htmlEscape method instead.

		return Award_managerHelper::htmlEscape($var, $this->_charset, $sorten, $length);

	}

}

